Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.event
Class StructureAdapter

    java.lang.Object
      org.apache.slide.event.StructureAdapter

All Implemented Interfaces:
  java.util.EventListener, StructureListener

public class StructureAdapter
extends java.lang.Object
implements StructureListener

Structure adapter class

Version:
  $Revision: 1.2 $

Constructor Summary
`StructureAdapter()`

Method Summary
`void` | `addBinding(StructureEvent event)`
`void` | `create(StructureEvent event)`
`void` | `createLink(StructureEvent event)`
`void` | `remove(StructureEvent event)`
`void` | `removeBinding(StructureEvent event)`
`void` | `retrieve(StructureEvent event)`
`void` | `store(StructureEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructureAdapter

    public StructureAdapter()

Method Detail

### retrieve

    public void retrieve(StructureEvent event)
                  throws VetoException

  Specified by:
    `retrieve` in interface `StructureListener`
  Throws:
    `VetoException`

### store

    public void store(StructureEvent event)
               throws VetoException

  Specified by:
    `store` in interface `StructureListener`
  Throws:
    `VetoException`

### create

    public void create(StructureEvent event)
                throws VetoException

  Specified by:
    `create` in interface `StructureListener`
  Throws:
    `VetoException`

### createLink

    public void createLink(StructureEvent event)
                    throws VetoException

  Specified by:
    `createLink` in interface `StructureListener`
  Throws:
    `VetoException`

### remove

    public void remove(StructureEvent event)
                throws VetoException

  Specified by:
    `remove` in interface `StructureListener`
  Throws:
    `VetoException`

### addBinding

    public void addBinding(StructureEvent event)
                    throws VetoException

  Specified by:
    `addBinding` in interface `StructureListener`
  Throws:
    `VetoException`

### removeBinding

    public void removeBinding(StructureEvent event)
                       throws VetoException

  Specified by:
    `removeBinding` in interface `StructureListener`
  Throws:
    `VetoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD